commit:     95ddfa5be4ca479badbe8380f156811c419149fd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  8 08:09:13 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul  8 08:19:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95ddfa5b

dev-python/jellyfish: Disable in-source builds

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jellyfish/jellyfish-0.7.2.ebuild | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/dev-python/jellyfish/jellyfish-0.7.2.ebuild 
b/dev-python/jellyfish/jellyfish-0.7.2.ebuild
index d8d3b2e32dd..8b4b1810513 100644
--- a/dev-python/jellyfish/jellyfish-0.7.2.ebuild
+++ b/dev-python/jellyfish/jellyfish-0.7.2.ebuild
@@ -4,7 +4,6 @@
 EAPI=7
 
 PYTHON_COMPAT=( python3_{5,6,7} )
-DISTUTILS_IN_SOURCE_BUILD=1
 inherit distutils-r1
 
 DESCRIPTION="Python module for doing approximate and phonetic matching of 
strings"
@@ -25,11 +24,6 @@ DEPEND="
        )
 "
 
-python_compile() {
-       esetup.py build_ext --inplace
-       esetup.py build
-}
-
 python_compile_all() {
        if use doc; then
                esetup.py build_sphinx
@@ -38,5 +32,7 @@ python_compile_all() {
 }
 
 python_test() {
-       py.test jellyfish/test.py || die "tests failed with ${EPYTHON}"
+       cp -r testdata "${BUILD_DIR}" || die
+       cd "${BUILD_DIR}" || die
+       pytest -vv lib/jellyfish/test.py || die "tests failed with ${EPYTHON}"
 }

Reply via email to